summaryrefslogtreecommitdiffstats
path: root/games/vectoroids
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:29:38 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:38 +0200
commitcf6120e31a899d9c497c1d780f6e8b2850497edc (patch)
treefc05f6400ed4afa3afaa3990ecf515f6f2e1d8dd /games/vectoroids
parent976e74860f813170a6159176c17afe2730438bbc (diff)
downloadslackbuilds-cf6120e31a899d9c497c1d780f6e8b2850497edc.tar.gz
slackbuilds-cf6120e31a899d9c497c1d780f6e8b2850497edc.tar.xz
games/vectoroids: Added to 12.2 repository
Diffstat (limited to 'games/vectoroids')
-rw-r--r--games/vectoroids/README5
-rw-r--r--games/vectoroids/slack-desc19
-rw-r--r--games/vectoroids/vectoroids.SlackBuild59
-rw-r--r--games/vectoroids/vectoroids.info8
4 files changed, 91 insertions, 0 deletions
diff --git a/games/vectoroids/README b/games/vectoroids/README
new file mode 100644
index 0000000000..134d3d5eb0
--- /dev/null
+++ b/games/vectoroids/README
@@ -0,0 +1,5 @@
+"Vectoroids" is a clone of the classic arcade game "Asteroids" by Atari.
+
+Your objective is to maneuver a space ship within a field of asteroids,
+and shoot them into smaller and smaller pieces, eventually destroying
+them completely.
diff --git a/games/vectoroids/slack-desc b/games/vectoroids/slack-desc
new file mode 100644
index 0000000000..2b0539f2cb
--- /dev/null
+++ b/games/vectoroids/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vectoroids: vectoroids (clone of the classic arcade game "Asteroids")
+vectoroids:
+vectoroids: "Vectoroids" is a clone of the classic arcade game "Asteroids"
+vectoroids: by Atari.
+vectoroids:
+vectoroids: Your objective is to maneuver a space ship within a field of asteroids,
+vectoroids: and shoot them into smaller and smaller pieces, eventually destroying
+vectoroids: them completely.
+vectoroids:
+vectoroids:
+vectoroids:
diff --git a/games/vectoroids/vectoroids.SlackBuild b/games/vectoroids/vectoroids.SlackBuild
new file mode 100644
index 0000000000..ba8dac8040
--- /dev/null
+++ b/games/vectoroids/vectoroids.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for vectoroids
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=vectoroids
+VERSION=${VERSION:-1.1.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# Get rid of cruft accidentally left in the distribution tarball
+rm -rf data/images/.xvpics
+
+# Can't just override CFLAGS...
+sed -i -e "s/-O2/$SLKCFLAGS/" Makefile
+
+make PREFIX=/usr BIN_PREFIX=/usr/games
+
+mkdir -p $PKG/usr $PKG/usr/games
+strip $PRGNAM
+make install PREFIX=$PKG/usr BIN_PREFIX=$PKG/usr/games
+
+gzip -9 $PKG/usr/man/man6/*.6
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/vectoroids/vectoroids.info b/games/vectoroids/vectoroids.info
new file mode 100644
index 0000000000..043c233b59
--- /dev/null
+++ b/games/vectoroids/vectoroids.info
@@ -0,0 +1,8 @@
+PRGNAM="vectoroids"
+VERSION="1.1.0"
+HOMEPAGE="http://www.newbreedsoftware.com/vectoroids/"
+DOWNLOAD="ftp://ftp.tuxpaint.org/unix/x/vectoroids/src/vectoroids-1.1.0.tar.gz"
+MD5SUM="c63ce56b09aa7da9a6e95d804e9ee314"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"